<?xml version="1.0" encoding="UTF-8"?>
<queryMap desc="加工打捆实绩">
	<query id="FrmBundingType.query" desc="">
        <![CDATA[
  SELECT * FROM MCH_BUNDLING_TYPE WHERE VALIDFLAG ='1'
        ]]>
	</query>

	<query id="FrmBundingType.Add" desc="">
		<![CDATA[
INSERT INTO MCH_BUNDLING_TYPE
  (BASE_CODE,
   BASE_NAME,
   PRICING_TYPE,
   UNIT_PRICE,
   MEMO,
   CREATE_NAME,
   CREATE_TIME)
VALUES
  ((SELECT LPAD(TO_CHAR(NVL(MAX(BASE_CODE), 0) + 1), 5, '0')
     FROM MCH_BUNDLING_TYPE),
   ?,
   ?,
   ?,
   ?,
   ?,
   SYSDATE)
        ]]>
	</query>


	<query id="FrmBundingType.Update" desc="">
		<![CDATA[
UPDATE MCH_BUNDLING_TYPE
   SET BASE_NAME    = ?,
       PRICING_TYPE = ?,
       UNIT_PRICE   = ?,
       MEMO         = ?,
       UPDATE_NAME  = ?,
       UPDATE_TIME  = SYSDATE
 WHERE BASE_CODE = ?
        ]]>
	</query>


	<query id="FrmBundingType.Delete" desc="">
		<![CDATA[
  UPDATE MCH_BUNDLING_TYPE
   SET VALIDFLAG = '0', CREATE_NAME = ?, CREATE_TIME = SYSDATE
 WHERE BASE_CODE = ?
        ]]>
	</query>

</queryMap>